Bug 34471 - amd cannot mount NFS with NFSv3.
amd cannot mount NFS with NFSv3.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: am-utils (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-03 07:08 EDT by Keiichi Mori
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.0.9-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-27 13:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keiichi Mori 2001-04-03 07:08:23 EDT
"amd" cannnot mount NFS with v3 protocol.
In using mount command, it can mount NFS with NFSv3.

The amd manual(man amd) says,

nfs_proto (numeric, default to trying version 3 then 2)
          By default, amd tries version 3 and then version 2.
          This option forces the overall NFS protocol used to
          version 3 or 2.  It overrides what is  in  the  amd
          maps, and is useful when amd is compiled with NFSv3
          support that may not be stable.  With  this  option
          you can turn off the complete usage of NFSv3 dynam
          ically (without having to recompile amd) until such
          time as NFSv3 support is desired again.

Isn't am-utils-6.0.4-7 package compiled with NFSv3 support?
Or is it a bug?
Comment 1 Keiichi Mori 2001-04-06 03:16:25 EDT
When I build am-utils package with NFSv3 support
(make CFLAGS="-DHAVE_FS_NFS3 -DMOUNT_TYPE_NFS3=MNTTYPE_NFS"),
amd can mount NFS with version3.

I suppose you don't try to compile with NFSv3 support,
but I hope you would do it.

Comment 2 Matthew Wise 2001-05-03 14:42:59 EDT
I have rebuilt am-utils from the Rawhide SRPM am-utils-6.0.5-1 on a machine 
with all the 2.2.19-6.2.1 RPMs installed. I also explicitly requir NFSv3 in the 
amd map:

/defaults type:=host;fs:=${autodir}/mnt/nfs/${rhost};rhost:=${key};opts:=suid,no
dev
*       host!=${key};opts:=rw,intr,rsize=8192,wsize=8192,vers=3 || \
        host==${key};type:=link;fs:=/;rhost:=${host}

This seems to result in sucessful nfs3 mounts:


% nfsstat -c
Client rpc stats:
calls      retrans    authrefrsh
178192     2916       0       
Client nfs v2:
null       getattr    setattr    root       lookup     readlink   
0       0% 36      0% 0       0% 0       0% 5720   98% 29      0% 
read       wrcache    write      create     remove     rename     
0       0% 0       0% 0       0% 0       0% 0       0% 0       0% 
link       symlink    mkdir      rmdir      readdir    fsstat     
0       0% 0       0% 0       0% 0       0% 0       0% 9       0% 

Client nfs v3:
null       getattr    setattr    lookup     access     readlink   
46      0% 2073    2% 1091    1% 17196  16% 9071    8% 114     0% 
read       write      create     mkdir      symlink    mknod      
12072  11% 58532  57% 549     0% 17      0% 74      0% 0       0% 
remove     rmdir      rename     link       readdir    readdirplus
642     0% 47      0% 39      0% 27      0% 958     0% 0       0% 
fsstat     fsinfo     pathconf   commit     
23      0% 23      0% 0       0% 0       0% 

(nfsstat does still count v2 lookups & getattrs occasionally though.)
Comment 3 Keiichi Mori 2001-05-17 03:03:22 EDT
I have tried to use am-utils-6.0.5-1 with Red Hat Linux7.1, amd can mount NFS
with NFSv3.

Thanks.
Comment 4 Need Real Name 2002-06-23 09:25:22 EDT
I am assuming that this is related to bug 64921 which is hopefully fixed with
the 2.4.18-5 upgrade (I'm testing it tomorrow).  I hit the same problem and it
goes away when you switch to version 2 of NFS.  Unfortunately the man page for
amd.conf is incorrect and it took me a while to realize it.  You need to swap
the documentation for nfs_proto and nfs_vers.

Note You need to log in before you can comment on or make changes to this bug.